<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Tasklet Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d4/d92/classThread_1_1Tasklet.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="../../d6/d4e/classThread_1_1Tasklet-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Tasklet Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/d20/group__core-tasklet.html">Tasklet</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class is used to represent a tasklet.  
 <a href="../../d4/d92/classThread_1_1Tasklet.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../df/d84/tasklet_8hpp_source.html">src/core/common/tasklet.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a585a23e2110880573b8515cf848e5bd8"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d92/classThread_1_1Tasklet.html#a585a23e2110880573b8515cf848e5bd8">Handler</a>) (void *aContext)</td></tr>
<tr class="memdesc:a585a23e2110880573b8515cf848e5bd8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pointer is called when the tasklet is run.  <a href="#a585a23e2110880573b8515cf848e5bd8">More...</a><br /></td></tr>
<tr class="separator:a585a23e2110880573b8515cf848e5bd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae2ad469b70d159246afb182b58350a50"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d92/classThread_1_1Tasklet.html#ae2ad469b70d159246afb182b58350a50">Tasklet</a> (<a class="el" href="../../d8/de8/classThread_1_1TaskletScheduler.html">TaskletScheduler</a> &amp;aScheduler, <a class="el" href="../../d4/d92/classThread_1_1Tasklet.html#a585a23e2110880573b8515cf848e5bd8">Handler</a> aHandler, void *aContext)</td></tr>
<tr class="memdesc:ae2ad469b70d159246afb182b58350a50"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor creates a tasklet instance.  <a href="#ae2ad469b70d159246afb182b58350a50">More...</a><br /></td></tr>
<tr class="separator:ae2ad469b70d159246afb182b58350a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50a39a6f422851035b89aace87482425"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50a39a6f422851035b89aace87482425"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d92/classThread_1_1Tasklet.html#a50a39a6f422851035b89aace87482425">Post</a> (void)</td></tr>
<tr class="memdesc:a50a39a6f422851035b89aace87482425"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method puts the tasklet on the run queue. <br /></td></tr>
<tr class="separator:a50a39a6f422851035b89aace87482425"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:adea5d939e8bd9b033261ff8e1aeb34b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adea5d939e8bd9b033261ff8e1aeb34b5"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>TaskletScheduler</b></td></tr>
<tr class="separator:adea5d939e8bd9b033261ff8e1aeb34b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class is used to represent a tasklet. </p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a class="anchor" id="a585a23e2110880573b8515cf848e5bd8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* Thread::Tasklet::Handler) (void *aContext)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pointer is called when the tasklet is run. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to arbitrary context information. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae2ad469b70d159246afb182b58350a50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Thread::Tasklet::Tasklet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/de8/classThread_1_1TaskletScheduler.html">TaskletScheduler</a> &amp;&#160;</td>
          <td class="paramname"><em>aScheduler</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/d92/classThread_1_1Tasklet.html#a585a23e2110880573b8515cf848e5bd8">Handler</a>&#160;</td>
          <td class="paramname"><em>aHandler</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>aContext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This constructor creates a tasklet instance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aScheduler</td><td>A reference to the tasklet scheduler. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aHandler</td><td>A pointer to a function that is called when the tasklet is run. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to arbitrary context information. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/common/<a class="el" href="../../df/d84/tasklet_8hpp_source.html">tasklet.hpp</a></li>
<li>src/core/common/<a class="el" href="../../d0/d54/tasklet_8cpp.html">tasklet.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d4/d92/classThread_1_1Tasklet.html">Tasklet</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
